Rensei docs
API ReferenceWorkflows

Restore a workflow version while validating its inbound webhook mapping.

Restore a workflow version while validating its inbound webhook mapping. - Rensei REST API operation reference.

POST
/api/workflows/{id}/versions/{version}/rollback

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

id*string
version*string

Response Body

Workflow version restored.

application/json
  1. response
success*boolean
previousVersion*number
rolledBackTo*number
newVersion*number
Example Request
curl -X POST 'https://app.rensei.ai/api/workflows/string/versions/string/rollback'
Example Response
{  "success": true,  "previousVersion": 0,  "rolledBackTo": 0,  "newVersion": 0}